[vlc-devel] [PATCH] apple: build: avoid configure if already done

Alexandre Janniaux ajanni at videolabs.io
Thu Feb 13 15:43:23 CET 2020


The configure step takes a long time. Avoid redoing it everytime
the script is launched helps reduce developer friction.

To trigger a new configuration, either delete the whole build
directory or just the config.h in the build directory.
---
 extras/package/apple/build.sh | 16 ++++++++++------
 1 file changed, 10 insertions(+), 6 deletions(-)

diff --git a/extras/package/apple/build.sh b/extras/package/apple/build.sh
index 978871a6db..3cfb280ae0 100755
--- a/extras/package/apple/build.sh
+++ b/extras/package/apple/build.sh
@@ -630,12 +630,16 @@ cd "${VLC_BUILD_DIR}/build" || abort_err "Failed cd to VLC build dir"
 # Create VLC install dir if it does not already exist
 mkdir -p "$VLC_INSTALL_DIR"
 
-../../configure \
-    --with-contrib="$VLC_CONTRIB_INSTALL_DIR" \
-    --host="$VLC_HOST_TRIPLET" \
-    --prefix="$VLC_INSTALL_DIR" \
-    "${VLC_CONFIG_OPTIONS[@]}" \
- || abort_err "Configuring VLC failed"
+if ! [ -e config.h ]; then
+    ../../configure \
+        --with-contrib="$VLC_CONTRIB_INSTALL_DIR" \
+        --host="$VLC_HOST_TRIPLET" \
+        --prefix="$VLC_INSTALL_DIR" \
+        "${VLC_CONFIG_OPTIONS[@]}" \
+     || abort_err "Configuring VLC failed"
+else
+    echo "Configuration of VLC skipped as config.h already exists"
+fi
 
 $MAKE -j$VLC_USE_NUMBER_OF_CORES || abort_err "Building VLC failed"
 
-- 
2.25.0



More information about the vlc-devel mailing list